SingleRTPSessionPool(3)

NAME
SingleRTPSessionPool

SYNOPSIS

#include <pool.h>

Inherits RTPSessionPool, and Thread.

  Public Member Functions

SingleRTPSessionPool (int pri=0)
~SingleRTPSessionPool ()
void startRunning ()

Public Member Functions inherited from RTPSessionPool
RTPSessionPool ()
virtual ~RTPSessionPool ()
bool addSession (RTPSessionBaseRTPSessionBase &session)
bool removeSession (RTPSessionBaseRTPSessionBase &session)
size_t getPoolLength () const
bool isActive ()

Public Member Functions inherited from RTPSessionBaseHandler
microtimeout_t getSchedulingTimeout (RTPSessionBaseRTPSessionBase &s)
timeval getRTCPCheckInterval (RTPSessionBaseRTPSessionBase &s)
size_t takeInDataPacket (RTPSessionBaseRTPSessionBase &s)
size_t dispatchDataPacket (RTPSessionBaseRTPSessionBase &s)
void controlReceptionService (RTPSessionBaseRTPSessionBase &s)
void controlTransmissionService (RTPSessionBaseRTPSessionBase &s)
SOCKET getDataRecvSocket (RTPSessionBaseRTPSessionBase &s) const
SOCKET getControlRecvSocket (RTPSessionBaseRTPSessionBase &s) const

  Protected Member Functions

void run ()
Runnable method for the thread.

Protected Member Functions inherited from RTPSessionPool
void setActive ()
timeval getPoolTimeout ()
void setPoolTimeout (int sec, int usec)
void setPoolTimeout (struct timeval to)

  Additional Inherited Members

Protected Types inherited from RTPSessionPool
typedef std::list< SessionListElement * >::iterator PoolIterator

Protected Attributes inherited from RTPSessionPool
std::list< SessionListElement * > sessionList
ThreadLock poolLock
fd_set recvSocketSet
SOCKET highestSocket

Constructor & Destructor Documentation

  SingleRTPSessionPool::SingleRTPSessionPool (int pri = 0) [inline]

Parameters
    pri optional thread priority value.

  SingleRTPSessionPool::~SingleRTPSessionPool () [inline]

Member Function Documentation

  void SingleRTPSessionPool::run () [protected]

Runnable method for the thread. This thread serves all the RTP sessions.added to this pool.

  void SingleRTPSessionPool::startRunning () [inline], [virtual]

Implements RTPSessionPool.

Author

Generated automatically by Doxygen for ccRTP from the source code.